> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get widgets list

> Retrieve widgets list for the specified POS system and location



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/widget/list
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/widget/list:
    post:
      tags:
        - Widgets
      summary: Get widgets list
      description: Retrieve widgets list for the specified POS system and location
      operationId: PosV2Widget_GetWidgetsList
      parameters:
        - name: posSystemId
          in: path
          description: POS System Id
          required: true
          schema:
            type: string
      requestBody:
        description: Request
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosGetWidgetsListRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          application/json:
            schema:
              $ref: '#/components/schemas/PosGetWidgetsListRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          text/json:
            schema:
              $ref: '#/components/schemas/PosGetWidgetsListRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosGetWidgetsListRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          application/xml:
            schema:
              $ref: '#/components/schemas/PosGetWidgetsListRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          text/xml:
            schema:
              $ref: '#/components/schemas/PosGetWidgetsListRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosGetWidgetsListRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosGetWidgetsListResponseApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosGetWidgetsListResponseApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosGetWidgetsListResponseApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosGetWidgetsListRequest:
      required:
        - posLocationId
      type: object
      properties:
        posLocationId:
          minLength: 1
          type: string
          description: POS location identifier
      additionalProperties: false
      description: Request to get widgets list
    PosGetWidgetsListResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosGetWidgetsListResponse'
      additionalProperties: false
    PosGetWidgetsListResponse:
      type: object
      properties:
        widgets:
          type: array
          items:
            $ref: '#/components/schemas/PosWidgetItemDto'
          description: List of widgets
          nullable: true
      additionalProperties: false
      description: Get POS Widgets List Response
    PosWidgetItemDto:
      type: object
      properties:
        id:
          type: integer
          description: Widget unique identifier
          format: int32
        name:
          type: string
          description: Widget name
          nullable: true
        description:
          type: string
          description: Widget description
          nullable: true
        iconUrl:
          type: string
          description: Icon URL
          nullable: true
        deliveryChannels:
          type: array
          items:
            $ref: '#/components/schemas/WidgetDeliveryChannels'
          description: Widget delivery channels
          nullable: true
        flow:
          $ref: '#/components/schemas/WidgetFlow'
      additionalProperties: false
      description: Represents widget item in the list
    WidgetDeliveryChannels:
      enum:
        - 1
        - 2
        - 64
      type: integer
      format: int32
    WidgetFlow:
      enum:
        - 0
        - 1
      type: integer
      format: int32
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````